System requirements for Norton Snap

To install Norton Snap on your device, your device must meet the following minimum requirements:

System requirements

    • Device Requirement:

      • Apple iPhone, iPod touch, and iPad

      • Android phones and tablets

      • 1 MB of storage

      • Camera with optional flash

      • Internet connection

    • Operating Systems:

      • iOS 4.3 or later

      • Android OS 4.0.3 or later

Thank you!

Thank you for using Norton Support.

< Back

Was this information helpful?

DOCID: v64690974_EndUserProfile_en_us
Operating System: Android, iOS
Last modified: 10/10/2016